# $Revision: 1.20 $, $Date: 2008/07/27 22:28:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	BlackHole
Summary:	Class::BlackHole - base class to treat unhandled method calls as no-ops
Summary(pl.UTF-8):	Class::BlackHole - bazowa klasa do ignorowania nie obsługiwanych metod
Name:		perl-Class-BlackHole
Version:	0.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a11985779f85aeece9f9f0df823c4dda
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Normally, if you try to call a method that there's no handler for,
you get an error: Can't locate object method "flork" via package "X".
But for classes that inherit from Class::BlackHole, unhandled methods
become just no-operations.

%description -l pl.UTF-8
Normalnie próba wywołania metody, która nie ma przypisanego kodu,
kończy się błędem: Can't locate object method "flork" via package "X".
Ale w przypadku klas dziedziczących z Class::BlackHole, nie
obsługiwane metody są po prostu pustymi operacjami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-BlackHole.spec,v $
Revision 1.20  2008/07/27 22:28:50  arekm
- release 2

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.17  2005/01/03 12:41:11  adamg
- updated to 0.04

Revision 1.16  2004/11/03 22:30:09  paladine
- formatting

Revision 1.15  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.14  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.12  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.11  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:27:58  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/14 23:36:41  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
